#include<bits/stdc++.h>
#include"guess.h"
using namespace std;
using ll=long long;

//smaller(int)

int find_number(int MAX){
	ll l=1,r=MAX,ans=l;
	while(l<=r){
		ll md=(l+r)/2;
		if(smaller((int)md)){
			ans=md-1;
			r=md-1;
		}else
			l=md+1;
	}
	return(int)ans;
}